- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiSOSBranchingObject Class Reference

Branching object for Special ordered sets. More...

`#include <OsiBranchingObject.hpp>`

Inheritance diagram for OsiSOSBranchingObject:

[legend]
Collaboration diagram for OsiSOSBranchingObject:

[legend]
List of all members.

## Public Member Functions
| OsiSOSBranchingObject ()
| OsiSOSBranchingObject (OsiSolverInterface *solver, const OsiSOS *originalObject, int way, double separator)
| OsiSOSBranchingObject (const OsiSOSBranchingObject &)
OsiSOSBranchingObject & | operator= (const OsiSOSBranchingObject &rhs)
virtual OsiBranchingObject * | clone () const
| Clone.
virtual | ~OsiSOSBranchingObject ()
virtual double | branch (OsiSolverInterface *solver)
| Does next branch and updates state.
virtual void | print (const OsiSolverInterface *solver=NULL)
| Print something about branch - only if log level high.

## Detailed Description

Branching object for Special ordered sets.

Definition at line 774 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiSOSBranchingObject::OsiSOSBranchingObject | ( |  | ) |

OsiSOSBranchingObject::OsiSOSBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiSOS * | originalObject,
|  | int | way,
|  | double | separator |
| ) |  |  |

OsiSOSBranchingObject::OsiSOSBranchingObject | ( | const OsiSOSBranchingObject & |  | ) |

virtual OsiSOSBranchingObject::~OsiSOSBranchingObject | ( |  | ) | `[virtual]`

## Member Function Documentation

OsiSOSBranchingObject& OsiSOSBranchingObject::operator= | ( | const OsiSOSBranchingObject & | rhs | ) |

virtual OsiBranchingObject* OsiSOSBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Implements OsiBranchingObject.

virtual double OsiSOSBranchingObject::branch | ( | OsiSolverInterface * | solver | ) | `[virtual]`

Does next branch and updates state.

Implements OsiTwoWayBranchingObject.

virtual void OsiSOSBranchingObject::print | ( | const OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Print something about branch - only if log level high.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Osi/src/OsiBranchingObject.hpp